export declare type SplTokenBondingIDL = {
    "version": "0.0.0";
    "name": "spl_token_bonding";
    "instructions": [{
        "name": "createLogCurveV0";
        "accounts": [{
            "name": "payer";
            "isMut": true;
            "isSigner": true;
        }, {
            "name": "curve";
            "isMut": true;
            "isSigner": false;
        }, {
            "name": "systemProgram";
            "isMut": false;
            "isSigner": false;
        }, {
            "name": "rent";
            "isMut": false;
            "isSigner": false;
        }];
        "args": [{
            "name": "args";
            "type": {
                "defined": "InitializeLogCurveV0Args";
            };
        }];
    }, {
        "name": "initializeTokenBondingV0";
        "accounts": [{
            "name": "payer";
            "isMut": true;
            "isSigner": true;
        }, {
            "name": "curve";
            "isMut": false;
            "isSigner": false;
        }, {
            "name": "tokenBonding";
            "isMut": true;
            "isSigner": false;
        }, {
            "name": "baseMint";
            "isMut": false;
            "isSigner": false;
        }, {
            "name": "targetMint";
            "isMut": true;
            "isSigner": false;
        }, {
            "name": "baseStorage";
            "isMut": true;
            "isSigner": false;
        }, {
            "name": "baseStorageAuthority";
            "isMut": false;
            "isSigner": false;
        }, {
            "name": "baseRoyalties";
            "isMut": false;
            "isSigner": false;
        }, {
            "name": "targetRoyalties";
            "isMut": true;
            "isSigner": false;
        }, {
            "name": "targetRoyaltyOwner";
            "isMut": false;
            "isSigner": false;
        }, {
            "name": "tokenProgram";
            "isMut": false;
            "isSigner": false;
        }, {
            "name": "systemProgram";
            "isMut": false;
            "isSigner": false;
        }, {
            "name": "rent";
            "isMut": false;
            "isSigner": false;
        }];
        "args": [{
            "name": "args";
            "type": {
                "defined": "InitializeTokenBondingV0Args";
            };
        }];
    }];
    "accounts": [{
        "name": "curveV0";
        "type": {
            "kind": "struct";
            "fields": [{
                "name": "curve";
                "type": {
                    "defined": "Curves";
                };
            }, {
                "name": "bumpSeed";
                "type": "u8";
            }];
        };
    }, {
        "name": "tokenBondingV0";
        "type": {
            "kind": "struct";
            "fields": [{
                "name": "baseMint";
                "type": "publicKey";
            }, {
                "name": "targetMint";
                "type": "publicKey";
            }, {
                "name": "authority";
                "type": {
                    "option": "publicKey";
                };
            }, {
                "name": "baseStorage";
                "type": "publicKey";
            }, {
                "name": "baseRoyalties";
                "type": "publicKey";
            }, {
                "name": "targetRoyalties";
                "type": "publicKey";
            }, {
                "name": "baseRoyaltyPercentage";
                "type": "u32";
            }, {
                "name": "targetRoyaltyPercentage";
                "type": "u32";
            }, {
                "name": "curve";
                "type": "publicKey";
            }, {
                "name": "mintCap";
                "type": {
                    "option": "u64";
                };
            }, {
                "name": "buyFrozen";
                "type": "bool";
            }, {
                "name": "sellFrozen";
                "type": "bool";
            }, {
                "name": "bumpSeed";
                "type": "u8";
            }, {
                "name": "targetMintBumpSeed";
                "type": "u8";
            }, {
                "name": "baseStorageBumpSeed";
                "type": "u8";
            }, {
                "name": "baseStorageAuthorityBumpSeed";
                "type": "u8";
            }];
        };
    }];
    "types": [{
        "name": "InitializeLogCurveV0Args";
        "type": {
            "kind": "struct";
            "fields": [{
                "name": "g";
                "type": "u128";
            }, {
                "name": "c";
                "type": "u128";
            }, {
                "name": "taylorIterations";
                "type": "u16";
            }, {
                "name": "bumpSeed";
                "type": "u8";
            }];
        };
    }, {
        "name": "InitializeTokenBondingV0Args";
        "type": {
            "kind": "struct";
            "fields": [{
                "name": "baseRoyaltyPercentage";
                "type": "u32";
            }, {
                "name": "targetRoyaltyPercentage";
                "type": "u32";
            }, {
                "name": "mintCap";
                "type": {
                    "option": "u64";
                };
            }, {
                "name": "tokenBondingAuthority";
                "type": {
                    "option": "publicKey";
                };
            }, {
                "name": "bumpSeed";
                "type": "u8";
            }, {
                "name": "targetMintBumpSeed";
                "type": "u8";
            }, {
                "name": "baseStorageBumpSeed";
                "type": "u8";
            }, {
                "name": "baseStorageAuthorityBumpSeed";
                "type": "u8";
            }];
        };
    }, {
        "name": "Curves";
        "type": {
            "kind": "enum";
            "variants": [{
                "name": "LogCurveV0";
                "fields": [{
                    "name": "g";
                    "type": "u128";
                }, {
                    "name": "c";
                    "type": "u128";
                }, {
                    "name": "taylor_iterations";
                    "type": "u16";
                }];
            }];
        };
    }];
};
import { IdlAccounts } from '@wum.bo/anchor';
export declare type Curves = Record<string, Record<string, any>>;
export declare const Curves: {
    LogCurveV0: {
        logcurvev0: {};
    };
};
export declare type CurveV0 = IdlAccounts<SplTokenBondingIDL>["curveV0"];
export declare type TokenBondingV0 = IdlAccounts<SplTokenBondingIDL>["tokenBondingV0"];
//# sourceMappingURL=spl-token-bonding.d.ts.map